ordre.addobject('SetExpCond',tobject(@SetExpCond));
ordre.addobject('SetComment',tobject(@SetComment));
ordre.addobject('addpt',tobject(@addpt));
ordre.addobject('addpoint1D',tobject(@addpoint1D));
ordre.addobject('addcomment',tobject(@addcomment));
ordre.addobject('delay',tobject(@delay));
ordre.addobject('clearspectre',tobject(@clearspectre));
ordre.addobject('addspectre',tobject(@addspectre));

{ manipulations des spectres de data }
{ fonctions agissant sur les spectres 1D }
ordre.addobject('delSpectre1D',tobject(@delSpectre1D));
ordre.addobject('addSpectre1D',tobject(@addSpectre1D));
ordre.addobject('subSpectre1D',tobject(@subSpectre1D));
ordre.addobject('multSpectre1D',tobject(@multSpectre1D));
ordre.addobject('divSpectre1D',tobject(@divSpectre1D));
ordre.addobject('scalAddSpectre1D',tobject(@ScalAddSpectre1D));
ordre.addobject('scalSubSpectre1D',tobject(@ScalSubSpectre1D));
ordre.addobject('scalMultSpectre1D',tobject(@ScalMultSpectre1D));
ordre.addobject('scalDivSpectre1D',tobject(@ScalDivSpectre1D));
{ aliases }
ordre.addobject('del1D',tobject(@delSpectre1D));
ordre.addobject('add1D',tobject(@addSpectre1D));
ordre.addobject('sub1D',tobject(@subSpectre1D));
ordre.addobject('mult1D',tobject(@multSpectre1D));
ordre.addobject('div1D',tobject(@divSpectre1D));
ordre.addobject('scalAdd1D',tobject(@ScalAddSpectre1D));
ordre.addobject('scalSub1D',tobject(@ScalSubSpectre1D));
ordre.addobject('scalMult1D',tobject(@ScalMultSpectre1D));
ordre.addobject('scalDiv1D',tobject(@ScalDivSpectre1D));
ordre.addobject('sqrt1D',tobject(@Sqrt1D));
ordre.addobject('pos1D',tobject(@pos1D));
ordre.addobject('Smooth1D',tobject(@Smooth1D));
ordre.addobject('Smooth2D',tobject(@Smooth2D));

{ fonctions agissant sur les spectres 2D }
ordre.addobject('delSpectre2D',tobject(@delSpectre2D));
ordre.addobject('addSpectre2D',tobject(@addSpectre2D));
ordre.addobject('subSpectre2D',tobject(@subSpectre2D));
ordre.addobject('multSpectre2D',tobject(@multSpectre2D));
ordre.addobject('divSpectre2D',tobject(@divSpectre2D));
ordre.addobject('scalAddSpectre2D',tobject(@ScalAddSpectre2D));
ordre.addobject('scalSubSpectre2D',tobject(@ScalSubSpectre2D));
ordre.addobject('scalMultSpectre2D',tobject(@ScalMultSpectre2D));
ordre.addobject('scalDivSpectre2D',tobject(@ScalDivSpectre2D));
ordre.addobject('NormMoniSpectre2D',tobject(@NormMoniSpectre2D));
{ aliases }
ordre.addobject('del2D',tobject(@delSpectre2D));
ordre.addobject('add2D',tobject(@addSpectre2D));
ordre.addobject('sub2D',tobject(@subSpectre2D));
ordre.addobject('mult2D',tobject(@multSpectre2D));
ordre.addobject('div2D',tobject(@divSpectre2D));
ordre.addobject('scalAdd2D',tobject(@ScalAddSpectre2D));
ordre.addobject('scalSub2D',tobject(@ScalSubSpectre2D));
ordre.addobject('scalMult2D',tobject(@ScalMultSpectre2D));
ordre.addobject('scalDiv2D',tobject(@ScalDivSpectre2D));
ordre.addobject('sqrt2D',tobject(@Sqrt2D));
ordre.addobject('pos2D',tobject(@pos2D));

{ fonctions de projection }
ordre.addobject('ProjectionHSpectre2D',tobject(@ProjectionHSpectre2D));
ordre.addobject('ProjectionVSpectre2D',tobject(@ProjectionVSpectre2D));
ordre.addobject('ProjH',tobject(@ProjectionHSpectre2D));
ordre.addobject('ProjV',tobject(@ProjectionVSpectre2D));
ordre.addobject('IntegraleSpectre1D',tobject(@IntegraleSpectre1D));
ordre.addobject('IntegraleSpectre2D',tobject(@IntegraleSpectre2D));
ordre.addobject('SommeCirculaireSpectre2D',tobject(@SommeCirculaireSpectre2D));
ordre.addobject('SommeDNPA',tobject(@SommeDNPA));
ordre.addobject('MasqueSecteur',tobject(@MasqueSecteur));
ordre.addobject('Barycentre2D',tobject(@Barycentre2D));

{ fonction de concaténation de spectres 1D }
ordre.addobject('concat1D',tobject(@concat1D));
ordre.addobject('concat2D',tobject(@concat2D));
ordre.addobject('extract2D',tobject(@extract2D));
ordre.addobject('extract1D',tobject(@extract1D));
ordre.addobject('Convert1Dto2Drow',tobject(@Convert1Dto2Drow));
ordre.addobject('Convert1Dto2DrowY',tobject(@Convert1Dto2DrowY));
ordre.addobject('Convert1Dto2Dcol',tobject(@Convert1Dto2Dcol));
ordre.addobject('Convert1Dto2DcolX',tobject(@Convert1Dto2Dcol));
ordre.addobject('appendCol',tobject(@appendCol));
ordre.addobject('appendColX',tobject(@appendCol));
ordre.addobject('appendRow',tobject(@appendRow));
ordre.addobject('appendRowY',tobject(@appendRowY));
ordre.addobject('resize1D',tobject(@resize1D));
ordre.addobject('resample1D',tobject(@resample1D));

{ ====================================== }
ordre.addobject('setX1D',tobject(@setX1D));
ordre.addobject('setX2D',tobject(@setX2D));
ordre.addobject('setY2D',tobject(@setY2D));
ordre.addobject('Resample',tobject(@Resample));
ordre.addobject('Resample2D',tobject(@Resample2D));
ordre.addobject('ConvertL2Q',tobject(@ConvertL2Q));
ordre.addobject('Remap2D_MSGC',tobject(@Remap2D_MSGC));
ordre.addobject('Remap2D_MSGC2',tobject(@Remap2D_MSGC2));
ordre.addobject('remap2DtoQxQz',tobject(@Remap2DtoQxQz));
ordre.addobject('RemapToFdataToQxQz',tobject(@RemapToFdataToQxQz));
ordre.addobject('RemapTOFtoQxQz',tobject(@RemapTOFtoQxQz));
ordre.addobject('RemapTOFtoPiPf',tobject(@RemapTOFtoPiPf));

ordre.addobject('lineX',tobject(@lineX));
ordre.addobject('lineY',tobject(@lineY));

{ ====================================== }
ordre.addobject('FFT',tobject(@FFT));
ordre.addobject('FFT2',tobject(@FFT2));
ordre.addobject('Module1D',tobject(@Module1D));
ordre.addobject('Module2D',tobject(@Module2D));
ordre.addobject('FlipUD',tobject(@FlipUD));
ordre.addobject('FlipLR',tobject(@FlipLR));

ordre.addobject('appendPSDdata',tobject(@appendPSDdata));

{ ====================================== }
{fonctions sur spectres 3D}
ordre.addobject('del3D',tobject(@delSpectre3D));
ordre.addobject('add3D',tobject(@addSpectre3D));
ordre.addobject('IntegraleSpectre3D',tobject(@IntegraleSpectre3D));
{ordre.addobject('ReadMoni3D',tobject(@ReadMoni3D)); }
ordre.addobject('Spectre3DTo2D',tobject(@Spectre3DTo2D));

{ ====================================== }
{ traitement MEB  }
ordre.addobject('threshold',tobject(@threshold));
ordre.addobject('FindCentres',tobject(@FindCentres));
ordre.addobject('FindCentres2',tobject(@FindCentres2));
ordre.addobject('FindCentres3',tobject(@FindCentres3));

ordre.addobject('SetTOFaxisLambda',tobject(@SetTOFaxisLambda));
ordre.addobject('SetTOFaxisQz',tobject(@SetTOFaxisQz));
ordre.addobject('Raboutage',tobject(@Raboutage));